Puntuado con 5 de 5 estrellas

Doesn't work in FF4 when forced. Please update!

Esta valoración es de una versión anterior del complemento (0.7.3).  Este usuario tiene otras valoraciones de este complemento.